Package org.postgresql.replication.fluent

# Class AbstractCreateSlotBuilder<T extends ChainedCommonCreateSlotBuilder<T>>

java.lang.Object
org.postgresql.replication.fluent.AbstractCreateSlotBuilder<T>

All Implemented Interfaces:
  `ChainedCommonCreateSlotBuilder<T>`

Direct Known Subclasses:
  `LogicalCreateSlotBuilder`, `PhysicalCreateSlotBuilder`

public abstract class AbstractCreateSlotBuilder<T extends ChainedCommonCreateSlotBuilder<T>> extends Object implements ChainedCommonCreateSlotBuilder<T>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BaseConnection`
`connection`
`protected @Nullable String`
`slotName`
`protected boolean`
`temporaryOption`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractCreateSlotBuilder(BaseConnection connection)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract T`
`self()`
`T`
`withSlotName(String slotName)`
Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.
`T`
`withTemporaryOption()`
Temporary slots are not saved to disk and are automatically dropped on error or when the session has finished.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.postgresql.replication.fluent.ChainedCommonCreateSlotBuilder

`make`

## Field Details

### slotName

protected @Nullable String slotName

### temporaryOption

protected boolean temporaryOption

### connection

protected BaseConnection connection

## Constructor Details

### AbstractCreateSlotBuilder

protected AbstractCreateSlotBuilder(BaseConnection connection)

## Method Details

### self

protected abstract T self()

### withSlotName

public T withSlotName(String slotName)
Description copied from interface: `ChainedCommonCreateSlotBuilder`
Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.

Specified by:
  `withSlotName` in interface `ChainedCommonCreateSlotBuilder<T extends ChainedCommonCreateSlotBuilder<T>>`
Parameters:
  `slotName` - not null unique replication slot name for create.
Returns:
  T a slot builder

### withTemporaryOption

public T withTemporaryOption() throws SQLFeatureNotSupportedException
Description copied from interface: `ChainedCommonCreateSlotBuilder`

Temporary slots are not saved to disk and are automatically dropped on error or when the session has finished.

This feature is only supported by PostgreSQL versions >= 10.

Specified by:
  `withTemporaryOption` in interface `ChainedCommonCreateSlotBuilder<T extends ChainedCommonCreateSlotBuilder<T>>`
Returns:
  T a slot builder
Throws:
  `SQLFeatureNotSupportedException` - thrown if PostgreSQL version is less than 10.